[Risolto] Problema con il nuovo xorg 1.9.2-2

Tutto ciò che altrimenti sarebbe OT
Rispondi
marco74
Arciere Provetto
Messaggi: 473
Iscritto il: 26 aprile 2009, 1:01
Località: Alto varesotto...

Messaggio da marco74 » 1 dicembre 2010, 22:25

Ciao ragazzi, oggi ho avuto la brillante idea di aggiornare Arch, dimenticandomi di bloccare l'aggiornamento a xorg.
Ora mi ritrovo questo:

Codice: Seleziona tutto

pacman -Q | grep xorg-server
xorg-server 1.9.2-2
xorg-server-common 1.9.2-2
xorg-server-devel 1.9.2-2
xorg-server-utils 7.6-1
xorg-server-xdmx 1.9.2-2
xorg-server-xephyr 1.9.2-2
xorg-server-xnest 1.9.2-2
xorg-server-xvfb 1.9.2-2
Ora riavviando Arch mi ritrovo un problema con i driver video "Ati Catalyst-test"

Ho fatto un tentativo installado una versione precedente di xorg::

Codice: Seleziona tutto

xorg-server 1.9.0-1
xorg-server-common 1.9.0-1
xorg-server-devel 1.9.0-1
xorg-server-utils 7.6-1
xorg-server-xdmx 1.9.0-1
xorg-server-xephyr 1.9.0-1
xorg-server-xnest 1.9.0-1
xorg-server-xvfb 1.9.0-1
Solo che riavviando non ho ottenuto nessun risultato..
Grazie.

Aggiungo questo, magari potrebbe esservi d'aiuto:

Codice: Seleziona tutto

pacman -Qe
catalyst-2.6.35-ARCH 10.10-999
catalyst-test 10.10-999
Ultima modifica di marco74 il 3 dicembre 2010, 12:43, modificato 1 volta in totale.

Avatar utente
Hilinus
Moderatore
Messaggi: 5649
Iscritto il: 25 ottobre 2008, 19:28
Architettura: x86_64 (64bit)

Messaggio da Hilinus » 2 dicembre 2010, 9:17

Prova ad installare i catalyst lisci, che sono alla versione 10.11 su AUR. Controlla se sono compatibili con questa release di xorg e posta il relativo log.
Q6600 @ 3.2 Ghz + Thermalright Ultra 120 Extreme | 6 GB DDR2 Ocz Gold
Asus P5K | Sapphire HD7850 2GB | E ovviamente... Arch Linux :)

moiji
Newbie
Messaggi: 9
Iscritto il: 4 maggio 2010, 22:12
Località: trento
Contatta:

Messaggio da moiji » 2 dicembre 2010, 17:00

ciao, ma che problemi ti danno? Non partono? Potrebbe darsi che hai effettuato l'aggiornamento del kernel e non avevi attivato l'autoricompilazione del modulo dei driver?
laptop sony vaio vgn-fw21l: Intel core 2 duo T5800 - 3GB ram - ATI mobility Radeon HD 3400 | Mini-PC: Intel Atom D410 - ASRock AD410PV - 1GB ram ddr2 - Intel GDM 3150

Avatar utente
Berseker
Amministratore
Messaggi: 4432
Iscritto il: 27 settembre 2007, 10:18
Architettura: x86_64 (64bit)
Località: Lecco (provincia)

Messaggio da Berseker » 2 dicembre 2010, 18:15

marco, dobbiamo aspettarci ogni volta un thread ad ogni aggiornamento di xorg o del kernel?
viewtopic.php?id=9763
Leggete il Regolamento e cercate sempre su googleforumwiki prima di chiedere.
Tag x thread risolti: [Risolto] + Spazio messo all'inizio del titolo. Grazie

ArchWiki / Board Internazionale / Blog

marco74
Arciere Provetto
Messaggi: 473
Iscritto il: 26 aprile 2009, 1:01
Località: Alto varesotto...

Messaggio da marco74 » 2 dicembre 2010, 21:42

moiji ha scritto:ciao, ma che problemi ti danno? Non partono? Potrebbe darsi che hai effettuato l'aggiornamento del kernel e non avevi attivato l'autoricompilazione del modulo dei driver?
Mi sà che hai ragione, :D Come rimedio?
Grazie.....

Demind
Little John
Messaggi: 816
Iscritto il: 6 settembre 2007, 19:37
Località: Massy

Messaggio da Demind » 2 dicembre 2010, 21:56

marco74 ha scritto:
moiji ha scritto:ciao, ma che problemi ti danno? Non partono? Potrebbe darsi che hai effettuato l'aggiornamento del kernel e non avevi attivato l'autoricompilazione del modulo dei driver?
Mi sà che hai ragione, :D Come rimedio?
Grazie.....
Non basta il solito catalyst_build_module?
...il mese scorso avevi fatto la stessa cosa, ricordi?
Linux User: #471778

marco74
Arciere Provetto
Messaggi: 473
Iscritto il: 26 aprile 2009, 1:01
Località: Alto varesotto...

Messaggio da marco74 » 2 dicembre 2010, 22:43

Grande funziona..... :D

Codice: Seleziona tutto

*~»» catalyst_build_module

Building catalyst-2.6.36-ARCH package for 2.6.36-ARCH kernel ...
--------
==> Making package: catalyst-2.6.36-ARCH 10.10-999 (gio  2 dic 2010, 22.40.30, CET)
==> Checking Runtime Dependencies...
==> Checking Buildtime Dependencies...
==> Retrieving Sources...
==> Extracting Sources...
==> Starting build()...
patching file Makefile
patching file firegl_public.c
patch unexpectedly ends in middle of line
Hunk #2 succeeded at 411 with fuzz 1.
OsVersion says: SMP=1
file /proc/kallsyms says: SMP=1
file /lib/modules/2.6.36-ARCH/build/include/generated/autoconf.h says: SMP=1
file /lib/modules/2.6.36-ARCH/build/include/generated/autoconf.h says: MODVERSIONS=
file /lib/modules/2.6.36-ARCH/build/arch/x86/include/asm/compat.h says: COMPAT_ALLOC_USER_SPACE=arch_compat_alloc_user_space
make: Entering directory `/usr/src/linux-2.6.36-ARCH'
  CC [M]  /tmp/catalyst.yOB17Q/src/firegl_public.o
/tmp/catalyst.yOB17Q/src/firegl_public.c:415:5: warning: initialization from incompatible pointer type
  CC [M]  /tmp/catalyst.yOB17Q/src/kcl_acpi.o
  CC [M]  /tmp/catalyst.yOB17Q/src/kcl_agp.o
  CC [M]  /tmp/catalyst.yOB17Q/src/kcl_debug.o
/tmp/catalyst.yOB17Q/src/kcl_debug.c:51:44: warning: 'struct tty_struct' declared inside parameter list
/tmp/catalyst.yOB17Q/src/kcl_debug.c:51:44: warning: its scope is only this definition or declaration, which is probably not what you want
/tmp/catalyst.yOB17Q/src/kcl_debug.c:60:49: warning: 'struct tty_struct' declared inside parameter list
/tmp/catalyst.yOB17Q/src/kcl_debug.c:67:5: warning: initialization from incompatible pointer type
/tmp/catalyst.yOB17Q/src/kcl_debug.c:74:5: warning: initialization from incompatible pointer type
  CC [M]  /tmp/catalyst.yOB17Q/src/kcl_ioctl.o
  CC [M]  /tmp/catalyst.yOB17Q/src/kcl_io.o
  CC [M]  /tmp/catalyst.yOB17Q/src/kcl_pci.o
  CC [M]  /tmp/catalyst.yOB17Q/src/kcl_str.o
  CC [M]  /tmp/catalyst.yOB17Q/src/kcl_wait.o
  LD [M]  /tmp/catalyst.yOB17Q/src/fglrx.o
  Building modules, stage 2.
  MODPOST 1 modules
  CC      /tmp/catalyst.yOB17Q/src/fglrx.mod.o
  LD [M]  /tmp/catalyst.yOB17Q/src/fglrx.ko
make: Leaving directory `/usr/src/linux-2.6.36-ARCH'
==> Entering fakeroot environment...
==> Starting package()...
==> Tidying install...
  -> Purging other files...
  -> Compressing man and info pages...
  -> Stripping unneeded symbols from binaries and libraries...
==> WARNING: Package contains reference to $srcdir
==> Creating package...
  -> Generating .PKGINFO file...
  -> Adding install script...
  -> Compressing package...
==> WARNING: '.pkg' is not a valid archive extension.
==> Leaving fakeroot environment.
==> Finished making: catalyst-2.6.36-ARCH 10.10-999 (gio  2 dic 2010, 22.40.36, CET)
==> Cleaning up...
Ok. catalyst-2.6.36-ARCH package built succesfully. Installing ...
If it's asking for password - type root password
Password: 
looking for inter-conflicts...

Targets (1): catalyst-2.6.36-ARCH-10.10-999

Total Download Size:    0.00 MB
Total Installed Size:   2.53 MB

Proceed with installation? [Y/n] Y
checking package integrity...
(1/1) checking for file conflicts                  [----------------------] 100%
(1/1) installing catalyst-2.6.36-ARCH              [----------------------] 100%
Done.
*~»» 
Grazie mille...........

Se in pacman.conf blocco questi aggiornamenti in questo modo può andare bene?

Codice: Seleziona tutto

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
IgnorePkg   = catalyst-2.6.36-ARCH kernel26 2.6.36 xorg xorg-video-drivers xorg-input-drivers xorg-server catalyst-test
IgnoreGroup = catalyst-2.6.36-ARCH kernel26 2.6.36  xorg xorg-video-drivers xorg-input-drivers xorg-server catalyst-test
Ultima modifica di marco74 il 2 dicembre 2010, 22:50, modificato 1 volta in totale.

Demind
Little John
Messaggi: 816
Iscritto il: 6 settembre 2007, 19:37
Località: Massy

Messaggio da Demind » 3 dicembre 2010, 0:42

Io credo che la soluzione più lineare sia semplicemente ricompilare il modulo quando aggiorni il kernel...alla fine gli aggiornamenti che mandano a quel paese le compatibilità con gli ATI ci sono ma sono meno di quanto potresti pensare, 9 volte su 10 è la gente che fa casino o si dimentica di ricompilare il modulo
Linux User: #471778

marco74
Arciere Provetto
Messaggi: 473
Iscritto il: 26 aprile 2009, 1:01
Località: Alto varesotto...

Messaggio da marco74 » 3 dicembre 2010, 0:49

Quindi la prossima volta che ci sarà un'aggionamento ad un nuovo kernel, se avro dei problemi basterà dare un bel::

Codice: Seleziona tutto

catalyst_build_module

Demind
Little John
Messaggi: 816
Iscritto il: 6 settembre 2007, 19:37
Località: Massy

Messaggio da Demind » 3 dicembre 2010, 1:43

marco74 ha scritto:Quindi la prossima volta che ci sarà un'aggionamento ad un nuovo kernel, se avro dei problemi basterà dare un bel::

Codice: Seleziona tutto

catalyst_build_module
si
Linux User: #471778

marco74
Arciere Provetto
Messaggi: 473
Iscritto il: 26 aprile 2009, 1:01
Località: Alto varesotto...

Messaggio da marco74 » 3 dicembre 2010, 12:44

#Demind
Grazie mille....... ;);)

Rispondi